# Uses of Enum Class
org.eclipse.emf.compare.match.eobject.EObjectIndex.Side

Packages that use EObjectIndex.Side
Package
Description
org.eclipse.emf.compare.match.eobject
org.eclipse.emf.compare.match.eobject.internal

## Uses of EObjectIndex.Side in org.eclipse.emf.compare.match.eobject

Methods in org.eclipse.emf.compare.match.eobject that return EObjectIndex.Side
Modifier and Type
Method
Description
`static EObjectIndex.Side`
EObjectIndex.Side.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EObjectIndex.Side[]`
EObjectIndex.Side.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.compare.match.eobject that return types with arguments of type EObjectIndex.Side
Modifier and Type
Method
Description
`Map<EObjectIndex.Side,EObject>`
EObjectIndex.`findClosests(Comparison inProgress, EObject eObj, EObjectIndex.Side side)`
Return the closest EObjects found in other sides than the one given.
Methods in org.eclipse.emf.compare.match.eobject with parameters of type EObjectIndex.Side
Modifier and Type
Method
Description
`Map<EObjectIndex.Side,EObject>`
EObjectIndex.`findClosests(Comparison inProgress, EObject eObj, EObjectIndex.Side side)`
Return the closest EObjects found in other sides than the one given.
`Iterable<EObject>`
EObjectIndex.`getValuesStillThere(EObjectIndex.Side side)`
return the list of EObjects of a given side still available in the index.
`void`
EObjectIndex.`index(EObject eObj, EObjectIndex.Side side)`
Register an Object in the index with the given side.
`void`
EObjectIndex.`remove(EObject eObj, EObjectIndex.Side side)`
Remove an object from the index.

## Uses of EObjectIndex.Side in org.eclipse.emf.compare.match.eobject.internal

Methods in org.eclipse.emf.compare.match.eobject.internal that return types with arguments of type EObjectIndex.Side
Modifier and Type
Method
Description
`Map<EObjectIndex.Side,EObject>`
ByTypeIndex.`findClosests(Comparison inProgress, EObject obj, EObjectIndex.Side side)`
Return the closest EObjects found in other sides than the one given.
`Map<EObjectIndex.Side,EObject>`
ProximityIndex.`findClosests(Comparison inProgress, EObject eObj, EObjectIndex.Side passedObjectSide)`
Return the closest EObjects found in other sides than the one given.
Methods in org.eclipse.emf.compare.match.eobject.internal with parameters of type EObjectIndex.Side
Modifier and Type
Method
Description
`Map<EObjectIndex.Side,EObject>`
ByTypeIndex.`findClosests(Comparison inProgress, EObject obj, EObjectIndex.Side side)`
Return the closest EObjects found in other sides than the one given.
`Map<EObjectIndex.Side,EObject>`
ProximityIndex.`findClosests(Comparison inProgress, EObject eObj, EObjectIndex.Side passedObjectSide)`
Return the closest EObjects found in other sides than the one given.
`Iterable<EObject>`
ByTypeIndex.`getValuesStillThere(EObjectIndex.Side side)`
return the list of EObjects of a given side still available in the index.
`Collection<EObject>`
ProximityIndex.`getValuesStillThere(EObjectIndex.Side side)`
return the list of EObjects of a given side still available in the index.
`Iterable<EObject>`
ByTypeIndex.`getValuesToMatchAhead(EObjectIndex.Side side)`
Return EObjects to match ahead of time if there are some.
`Iterable<EObject>`
MatchAheadOfTime.`getValuesToMatchAhead(EObjectIndex.Side side)`
Return EObjects to match ahead of time if there are some.
`Iterable<EObject>`
ProximityIndex.`getValuesToMatchAhead(EObjectIndex.Side left)`
Return EObjects to match ahead of time if there are some.
`void`
ByTypeIndex.`index(EObject eObjs, EObjectIndex.Side side)`
Register an Object in the index with the given side.
`void`
ProximityIndex.`index(EObject eObject, EObjectIndex.Side side)`
Register an Object in the index with the given side.
`void`
ByTypeIndex.`remove(EObject obj, EObjectIndex.Side side)`
Remove an object from the index.
`void`
ProximityIndex.`remove(EObject obj, EObjectIndex.Side side)`
Remove an object from the index.